openlinksw.com – osdb
An OpenAPI description of the OpenLink Smart Data Bot REST API v1
- Homepage
- https://api.apis.guru/v2/specs/openlinksw.com:osdb/1.0.0.json
- Provider
- openlinksw.com:osdb / osdb
- OpenAPI version
- 3.0.0
- Spec (JSON)
- https://api.apis.guru/v2/specs/openlinksw.com/osdb/1.0.0/openapi.json
- Spec (YAML)
- https://api.apis.guru/v2/specs/openlinksw.com/osdb/1.0.0/openapi.yaml
Tools (12)
Extracted live via the executor SDK.
-
osdb.actionHelpReturns the help text for a given service action
-
osdb.describeActionReturns a description of a given service action.
-
osdb.describeServiceReturns a description of a given service
-
osdb.executeActionExecutes a registered service action and returns any output from the action. The data returned in the POST response body may be:
- the raw action output,
- a URL encapsulating the action request which executes the action when dereferenced (only for actions using GET),
- RDF generated from the action output,
- a URL to an RDF viewer's display of the generated RDF.
Any parameters required by the action are supplied as a JSON object in the POST body. The parameter types supported are: "query", "header", "uri", "path" and "body". The parameter type determines where a supplied parameter value is inserted into the HTTP request constructed by OSDB to invoke the target service action. In addition to native parameters required by the service action, 'Execute action' accepts some OSDB-specific parameters.
Examples
curl -ik -X POST -d '{ "latitude":"37.7759792", "longitude":"-122.41823" }' -H 'Content-Type: application/json' https://osdb.openlinksw.com/osdb/api/v1/actions/uber/products/execcurl -ikL -X POST -d '{ "latitude":"37.7759792", "longitude":"-122.41823", "osdb:output_type":"generate_rdf", "osdb:response_format":"application/rdf+xml" }' -H 'Content-Type: application/json' https://osdb.openlinksw.com/osdb/api/v1/actions/uber/products/execcurl -ikL -X POST -d '{ "latitude":"37.7759792", "longitude":"-122.41823", "osdb:output_type":"display_rdf" }' -H 'Content-Type: application/json' https://osdb.openlinksw.com/osdb/api/v1/actions/uber/products/execcurl -ik -X POST -d '{ "q":"skiing", "osdb:response_format": "application/rdf+xml" }' -H 'Content-Type: application/json' https://osdb.openlinksw.com/osdb/api/v1/actions/facet/search/execcurl -ik -X POST -d '{ "q":"skiing", "osdb:output_type": "url_only" }' -H 'Content-Type: application/json' https://osdb.openlinksw.com/osdb/api/v1/actions/facet/search/execcurl -ik -X POST -d '{ "Content-Location": "http://demo.openlinksw.co.uk/pubs", "osdb:body_data_src_url": "http://ods-qa.openlinksw.com/DAV/home/osdb/pubs.csv", "extractor": "csv", "osdb:response_format": "application/rdf+xml", "osdb:body_data_encoding": "text/csv" }' -H 'Content-Type: application/json' https://osdb.openlinksw.com/osdb/api/v1/actions/csv_transformer/transform/exec
-
osdb.listActionsReturns an array of action descriptions for the actions supported by the given service
-
osdb.listServicesReturns descriptions of all services registered with the OSDB server.
-
osdb.loadServiceLoads a service description into the OSDB Service Registry
-
osdb.loginLogs a user into the OSDB server, authenticating them by their WebID and returning an OSDB session ID in cookie osdb.sid
-
osdb.logoutLogs a user out of the OSDB server, ending their OSDB session
-
osdb.unloadServiceRemoves a service description from the OSDB Service Registry
-
openapi.previewSpecPreview an OpenAPI document before adding it as a source
-
openapi.addSourceAdd an OpenAPI source and register its operations as tools